/* PCMCIA, APM, and COM.SYS fix for the IBM710T */

call RxFuncAdd 'SysMkDir', 'RexxUtil', 'SysMkDir'

count=arg()

if count = 0 then signal usage
else
  do
    parse arg drive remainder

    if remainder \= '' then signal usage

    configfile = drive'\config.sys'
    inputfile = drive'\config.710'
    '@echo off'
    'rename 'configfile' config.710'

    /* APM */
    'rename 'drive'\os2\mouse.sys mouse.bak'
    'copy \apm\mouse.sys 'drive'\os2'
    'copy \apm\pwrmgt.sys 'drive'\os2'
    do while lines(inputfile) > 0
      configline = linein(inputfile)
      parse upper var configline modifiedline
      parse value modifiedline with 'DEVICE=' filename
      if filespec('name',filename)='APM.SYS' then
        rc = lineout(configfile,'device='drive'\os2\pwrmgt.sys')
      rc = lineout(configfile,configline)
    end

    /* PCMCIA */
    createdirectory = drive'\ibmcom'
    rc = SysMkDir(createdirectory)
    if rc = 5 then say drive'\ibmcom already exists, not created'
    'copy \pcmcia\ibm2ss01.sys 'drive'\ibmcom'
    'copy \pcmcia\ibmtokcs.os2 'drive'\ibmcom'
    'copy \pcmcia\icrmu01.sys 'drive'\ibmcom'
    'copy \pcmcia\ltg.msg 'drive'\ibmcom'
    'copy \pcmcia\ltgh.msg 'drive'\ibmcom'
    'copy \pcmcia\protocol.ini 'drive'\ibmcom'
    rc = lineout(configfile,'rem *** ThinkPad *****')
    rc = lineout(configfile,'device='drive'\ibmcom\ibm2ss01.sys /s0=1')
    rc = lineout(configfile,'device='drive'\ibmcom\icrmu01.sys')
    rc = lineout(configfile)

    /* COM.SYS */
    'installf a: 'drive' 'drive
  end
exit

usage:
  say 'USAGE: fixit <drive with OS/2>'
  say '       example: FIXIT C:'
  exit
